# Feiertagskalender-Zuordnungen aktualisieren

`PUT https://{tenant}.stamp.eu/rest/employees/{employee}/holidays_history`

Replace all assignments for this employee.

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `employee` | string | ja | The employee ID |

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `assignments` | object[] | ja |
| `assignments[].holiday_id` | string | ja |
| `assignments[].valid_after` | string | ja |

## Antworten

### 200: Array of `HolidaysHistoryResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object[] | ja |
| `data[].id` | string | ja |
| `data[].holiday_id` | string | ja |
| `data[].holiday` | object | nein |
| `data[].holiday.id` | string | ja |
| `data[].holiday.name` | string | ja |
| `data[].holiday.is_system` | string | ja |
| `data[].holiday.source_key` | string | ja |
| `data[].holiday.entries` | object[] | nein |
| `data[].holiday.created_at` | string | ja |
| `data[].holiday.updated_at` | string | ja |
| `data[].valid_after` | string | ja |
| `data[].created_at` | string | ja |
| `data[].updated_at` | string | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
